@use '../../global/utilities' as *;
@use '../../global/styles-variables' as *;

:host {
  display: block;
}

.flex-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 5rem;
}

.profile-color-flex {
  gap: 2rem;
  align-items: flex-start;
}

.profile-color-flex-content {
  flex: 1;
  max-width: 100%;
}

.color-palette-volume-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: 1rem;
}

.color-boxes-container {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  flex: 1;
  padding-top: 2.5rem;
  gap: 4em;
}

.alone-row {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-top: 1.5rem;
}

.col-flex {
  margin-top: 1.5rem;
  gap: 8px;
}

.color-text-flex {
  display: flex;
  flex-direction: row;
  align-items: flex-end;
  gap: 1rem;
}

.color-text-flex span,
.profile-color-flex-box span,
.nav-item span,
.val-item span,
.alone-row span {
  margin-bottom: 0;
  font-weight: 600;
  margin-top: 0.5rem;
}

.color-text-flex p,
.profile-color-flex-box p,
.alone-row p {
  padding-bottom: 6px;
}


.color-text-flex {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1rem;
}

.profile-color-flex-box {
  width: 44px;
  height: 44px;
  border-radius: 50%;
  flex-shrink: 0;
  @media (max-width: $digi--breakpoint--medium) {
    width: 40px;
    height: 40px;
  }

  &--af-blue {
    background-color: #00005a;
  }

  &--af-green {
    background-color: #95c23e;
  }

  &--af-light-green {
    background-color: #ddebc1;
  }

  &--af-green-lighter {
    background-color: #f1f7e5;
  }

  &--af-comp {
    background-color: #bdd3e7;
  }

  &--af-comp-2 {
    background-color: #D43372;
  }

  &--af-comp-3 {
    background-color: #058470;
  }

  &--af-grayscale {
    background-color: #333333;
  }
  &--af-grayscale-2 {
    background-color: #757575;
  }

  &--af-grayscale-3 {
    background-color: #FFFFFF;
  }

  &--af-bg-sec {
    background-color: #f4f4f4;
  }

  &--function-stratos-btn {
    background-color: #00005a;
  }

  &--af-btn-hover {
    background-color: #822998;
  }

  &--af-btn-secondary {
    background-color: #ffffff;
  }

  &--af-btn-sec-hover {
    background-color: #bdd3e7;
  }

  &--af-tabs {
    background-color: #779b32;
  }

  &--af-validate{
    &-info {
    background-color: #0000ff;
  }
 
  &-info-bg {
    background-color: #E9E9FF;
  }

  &-success {
    background-color: #009322;
  }

  &-success-bg {
    background-color: #E9F6EC;
  }

  &-warning {
    background-color: #FFE200;
  }

  &-warning-bg {
    background-color: #fffbdd;
  }

  &-error {
    background-color: #da0000;
  }

  &-error-bg {
    background-color: #FDEDED;
  }
  }

  &--af-text-secondary {
    background-color: #5c5c5c;
  }

  &--af-text-tertiary {
    background-color: #757575;
  }

  &--af-neutral-600 {
    background-color: #acacac;
  }

  &--af-neutral-500 {
    background-color: #cacaca;
  }

  &--af-neutral-400 {
    background-color: #dddddd;
  }

  &--af-neutral-300 {
    background-color: #e4e4e4;
  }

  &--af-secondary-bg {
    background-color: #ededed;
  }

  &--af-primary-bg {
    background-color: #f4f4f4;
  }

  &--af-neutral-0 {
    background-color: #ffffff;
  }
  &--nav-button {
    background-color: #1616B2;
  }
  &--nav-button-hover {
    background-color: #822998;
  }
  &--nav-button-secondary {
    background-color: #333333;
  }
}

.strip-volume-text-container, 
.big-color-grey-strip-container,
.validation-color-flex,
.splash-flex > div,
.profile-color-flex,
.big-color-column,
.col-flex {
  display: flex;
  flex-direction: column;
}

.border {
  border: solid 1px #757575;
}

.big-color-column {
  align-items: flex-start;
  flex: 1;
}

.big-color-box {
  width: 200px;
  height: 120px;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  position: relative;
}

.big-blue-box {
  background-color: #00005a;
  height: 230px;
}

.big-box-text {
  position: absolute;
  top: 16px;
  left: 16px;
  font-size: 48px;
  color: #ffffff;
  font-weight: bold;
}

.green-box-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  max-width: 200px;
}

.big-green-box {
  background-color: #95c23e;
  height: 87px;
  width: 166px;
  border-radius: 0;
}

.big-light-green-box {
  background-color: #aace65;
  height: 87px;
  width: 41px;
  border-radius: 0;
}

.big-very-light-green-box {
  background-color: #ddebc1;
  height: 87px;
  width: 41px;
  border-radius: 0;
}

.big-color-box .big-neutral-strip {
  height: 20px;
  border-radius: 0;
}

.big-color-grey-strip-container {
  background: conic-gradient(#f4f4f4 0deg 180deg, #ededed 180deg 360deg);
  max-width: 200px;
  max-height: 88px;
}

.strip-volume-text-container {
  height: 20px;
}

.volume-water-strip,
.volume-rosie-strip,
.volume-hajdu-strip {
  max-width: 200px;
  height: 29px;
}

.volume-water-strip {
  background-color: #bdd3e7;
}

.volume-rosie-strip {
  background-color: #d43372;
}

.volume-hajdu-strip {
  background-color: #058470;
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.strip-text {
  position: relative;
  top: 4px;
  left: 16px;
  width: 71px;
  color: #000;
  font-weight: 700;
  font-size: 48px;
}

.volume-example-text {
  margin-top: 5rem;
  font-size: 14px;
  max-width: 220px;
  line-height: 1.3;
}

.function-colors-container {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 16px;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.functioncolor-heatmapflex {
  display: flex;
  flex-direction: row;
}

.heatmap {
  background: linear-gradient(0.25turn, #54b76b, #fff398, #fd6d70);
  width: 340px;
  height: 130px;
  border-radius: 4px;
  padding: 16px;
  color: white;
  font-family:
    system-ui,
    -apple-system,
    sans-serif;
  flex-shrink: 0;
}

.legend-paragraph {
  max-width: 70%;
  font-size: 14px;
  line-height: 1.3;
}

.color-blind-image {
  margin-top: 2rem;
  margin-bottom: 4rem;
  max-width: 100%;
}

.navigation-colors-container {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  max-width: 600px;
}

.nav-item {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.validation-colors-container {
  display: flex;
  gap: 2rem;
  flex-wrap: wrap;
  max-width: 600px;
}

.val-item {
  display: flex;
  align-items: center;
  gap: 1rem;
  padding-bottom: 0.875rem;
}

.extra-top-padding {
  margin-top: 3rem;
}

.splash-flex {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  align-items: flex-start;
}

.splash-column-flex-container {
  display: flex;
  flex-direction: row;
}

.splash-flex > div {
  flex: 0 0 14%;
  align-items: flex-start;
  margin-bottom: 1rem;
}

.splash-icon-paragraph {
  display: flex;
  align-items: flex-start;
  gap: 0.4rem;
  margin-top: 0.5rem;
}

.splash-paragraph {
  margin: 0;
  max-width: 12rem;
}

@media screen and (max-width: $digi--breakpoint--medium) {
  .flex-container {
    flex-direction: column;
    gap: 0;
  }
  .color-palette-volume-container {
    flex-direction: column;
    align-items: baseline;
  }
  .big-color-column {
    padding-top: 1rem;
    flex-direction: column;
    align-items: flex-start;
  }
  .function-colors-container {
    margin-top: 0rem;
  }
  .profile-color-flex-content {
    max-width: 80%;
    grid-template-columns: 0;
  }
  .three-boxes-row {
    flex-wrap: wrap;
    margin-bottom: 0rem;
  }
  .logo-and-text {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
  .color-boxes-container,
  .validation-colors-container,
  .navigation-colors-container
   {
    flex-direction: column;
    gap: 0;
    padding-top: 0;
  }
  .green-col-flex {
    margin-top: 0;
  }

  .neutral-col-flex {
    flex-direction: column;
    gap: 0;
    margin-bottom: 3rem;
  }

  .right-column {
    gap: 0;
  }

  .functioncolor-heatmapflex {
    flex-direction: column;
  }
}
